﻿
<div ng-controller="userProfileController as vm">
    <br />
    <div class="row">
        <div class="col-xs-12 no-offset">
            @*<div class="col-xs-12 col-lg-12">
                <label style="font-size:30px; color: #232D47;">Reset Password </label>
                <label style="font-size:14px; color: #DEDBDB; margin-left: 10px;">ID. {{userId}} </label>
            </div>*@
            @*<div class="col-xs-1 form-group no-offset col-lg-1">
            </div>*@
            <div class="col-xs-11 form-group no-offset col-lg-11">
                <div class="col-xs-12">
                    <label class="my-header">Reset Password </label>
                    <label class="my-header-id">ID. {{userId}} </label>
                </div>
            </div>
            <div class="col-xs-1 form-group no-offset col-lg-1">
            </div>
        </div>
    </div>
    <form name="userForm">
        <div class="row">
            @*<div class="col-xs-12 no-offset">
                    <div class="col-xs-3 form-group no-offset col-lg-3">
                    </div>
                    -------- Old Password --------
                    <div class="col-xs-6 form-group no-offset col-lg-6">
                        <div class="control-label col-xs-12">
                            <label id="lblCode" class="my-label">Old Password</label>
                        </div>
                        <div class="col-xs-12">
                            <input class="form-control txtInput" ng-disabled="true" type="text" ng-model="user.user_password" placeholder="Old Password" />
                        </div>
                    </div>
                    <div class="col-xs-3 form-group no-offset col-lg-3">
                    </div>
                </div>*@
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- New Password--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userForm.newPassword.$touched && userForm.newPassword.$invalid}">
                    <div class="control-label col-xs-12">
                        <label id="lblCode" class="my-label">New Password</label>
                    </div>
                    <div class="col-xs-12 my-col-height">
                        <input class="form-control txtInput" type="password" ng-model="newPassword" required name="newPassword" placeholder="New Password" />
                        <div class="help-block" ng-messages="userForm.newPassword.$error" ng-if="userForm.newPassword.$touched">
                            <p ng-message="minlength">Your New Password is too short.</p>
                            <p ng-message="maxlength">Your New Password is too long.</p>
                            <p ng-message="required">Your New Password is required.</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- Confirm Password--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userForm.confirmPassword.$touched && userForm.confirmPassword.$invalid }">
                    <div class="control-label col-xs-12">
                        <label id="lblCode" class="my-label">Confirm Password</label>
                    </div>
                    <div class="col-xs-12 my-col-height">
                        <input class="form-control txtInput" type="password" ng-pattern="\b{{newPassword}}\b" ng-model="confirmPassword" required name="confirmPassword" placeholder="Confirm Password" />
                        <div class="help-block" ng-messages="userForm.confirmPassword.$error" ng-if="userForm.confirmPassword.$touched">
                            <p ng-message="minlength">Your Confirm Password is too short.</p>
                            <p ng-message="maxlength">Your Confirm Password is too long.</p>
                            <p ng-message="required">Your Confirm Password is required.</p>
                            <p ng-message="pattern">Your Password don't match!!!</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
        </div>
        <div class="row">
            <hr class="my-hr" />
        </div>

        <div class="row">
            @*<div class="col-xs-12">
                <input type="button" class="btn btn-crecon-cancel" value="CANCEL" ng-click="vm.backToUserProfile()">
                <input type="button" class="btn btn-crecon-create" value="SAVE" data-ng-disabled="userForm.$invalid" ng-click="vm.ResetPassword()">
            </div>*@
            <div class="col-xs-4 form-group no-offset col-lg-4">
            </div>
            <div class="col-xs-4 form-group no-offset col-lg-4">
                <div class="col-xs-12">
                    <input type="button" class="btn btn-crecon-cancel" value="CANCEL" ng-click="vm.backToUserProfile()">
                    <input type="button" class="btn btn-crecon-create" value="SAVE" data-ng-disabled="userForm.$invalid" ng-click="vm.ResetPassword()">
                </div>
            </div>
            <div class="col-xs-4 form-group no-offset col-lg-4">
            </div>
        </div>


        @*<div class="form-group" ng-class="{ 'has-error': userForm.name.$touched && userForm.name.$invalid }">
                <label>Name</label>
                <input type="text" name="name" class="form-control" ng-model="main.name" ng-minlength="5" ng-maxlength="10" required>

                <div class="help-block" ng-messages="userForm.name.$error" ng-if="userForm.name.$touched">
                    <p ng-message="minlength">Your name is too short.</p>
                    <p ng-message="maxlength">Your name is too long.</p>
                    <p ng-message="required">Your name is required.</p>
                </div>
            </div>*@
    </form>




</div>
